'use strict';
var chalk = require('chalk');
var Runner = require('./lib/runner');
var runner = new Runner();

setImmediate(function () {
	runner.run(function (stats, results) {
		var checkmark = process.platform == 'win32' ? '√' : '✓';

		if (stats.failCount === 0) {
			console.log(chalk.green(checkmark), stats.passCount, (stats.passCount === 1 ? 'test' : 'tests'), 'passed');
		} else {
			// TODO: show detailed fails when at least one test failed
		}

		process.exit(stats.failCount > 0 ? 1 : 0);
	});
});

module.exports = runner.addTest.bind(runner);
